PULSAR

Get Instantaneous Cycle Metrics

Get instantaneous cycle metrics.

Authorization

bearerAuth user, superuser, admin, superadmin, readonly
Authorization<token>

In: header

Scope: user, superuser, admin, superadmin, readonly

Query Parameters

machineId*number

The machine's ID.

Formatdouble
start*string

The start of the date range to filter by.

Formatdate-time
end*string

The end of the date range to filter by.

Formatdate-time

Response Body

application/json

Try it live
GET
/cycles/instantaneous

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X GET "https://example.com/cycles/instantaneous?machineId=0.1&start=2019-08-24T14%3A15%3A22Z&end=2019-08-24T14%3A15%3A22Z"
{  "cycleSpeed": 0,  "cycleTime": 0,  "cycleCount": 0}